tigase.io

## Class SampleSocketThread

- java.lang.Object
- - java.lang.Thread
  - - tigase.io.SampleSocketThread

- All Implemented Interfaces:
    Runnable

      public class SampleSocketThread
      extends Thread

  Describe class SampleSocketThread here. Created: Sun Aug 6 22:34:40 2006
  Version:
    $Rev$
  Author:
    Artur Hefczyc

- - ### Nested Class Summary

    Nested Classes
    Modifier and Type | Class and Description
    --- | ---
    `static interface` | `SampleSocketThread.SocketHandler`

    - ### Nested classes/interfaces inherited from class java.lang.Thread

      `Thread.State, Thread.UncaughtExceptionHandler`

  - ### Field Summary

    - ### Fields inherited from class java.lang.Thread

      `MAX_PRIORITY, MIN_PRIORITY, NORM_PRIORITY`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `SampleSocketThread(SampleSocketThread.SocketHandler handler)` Creates a new `SampleSocketThread` instance.

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `addForAccept(InetSocketAddress isa)`
    `void` | `addIOInterface(IOInterface s)`
    `void` | `removeIOInterface(IOInterface s)`
    `void` | `run()` Describe `run` method here.

    - ### Methods inherited from class java.lang.Thread

      `activeCount, checkAccess, clone, countStackFrames, currentThread, destroy, dumpStack, enumerate, getAllStackTraces, getContextClassLoader, getDefaultUncaughtExceptionHandler, getId, getName, getPriority, getStackTrace, getState, getThreadGroup, getUncaughtExceptionHandler, holdsLock, interrupt, interrupted, isAlive, isDaemon, isInterrupted, join, join, join, resume, setContextClassLoader, setDaemon, setDefaultUncaughtExceptionHandler, setName, setPriority, setUncaughtExceptionHandler, sleep, sleep, start, stop, stop, suspend, toString, yield`

    - ### Methods inherited from class java.lang.Object

      `equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### SampleSocketThread

          public SampleSocketThread(SampleSocketThread.SocketHandler handler)
                             throws IOException

      Creates a new `SampleSocketThread` instance.
      Parameters:
        `handler` -
      Throws:
        `IOException`

  - ### Method Detail

    - #### addIOInterface

          public void addIOInterface(IOInterface s)

    - #### addForAccept

          public void addForAccept(InetSocketAddress isa)

    - #### removeIOInterface

          public void removeIOInterface(IOInterface s)

    - #### run

          public void run()

      Describe `run` method here.
      Specified by:
        `run` in interface `Runnable`
      Overrides:
        `run` in class `Thread`

Copyright © 2013 Tigase. All rights reserved.